Index: test/park_integration/test/test_fit_cylinder.py
===================================================================
--- test/park_integration/test/test_fit_cylinder.py	(revision 6c007022258cff8efb5208e90301244c22e30170)
+++ test/park_integration/test/test_fit_cylinder.py	(revision da5d8e8ddcd10ca55862386be6991a9817ba1897)
@@ -110,5 +110,5 @@
     def test_park2(self):
         """ Simultaneous cylinder model fit (park)  """
-        #raise NotImplementedError()
+        raise NotImplementedError()
         result1,= self._fit('park')
         self.assert_(result1)
Index: test/park_integration/test/test_fit_line.py
===================================================================
--- test/park_integration/test/test_fit_line.py	(revision 6c007022258cff8efb5208e90301244c22e30170)
+++ test/park_integration/test/test_fit_line.py	(revision da5d8e8ddcd10ca55862386be6991a9817ba1897)
@@ -19,4 +19,5 @@
         #load data
         data = Loader().load("testdata_line.txt")
+        data.name = data.filename
         #Importing the Fit module
         fitter = Fit('scipy')
@@ -37,9 +38,9 @@
         fitter.set_model(model,1,pars1)
         fitter.select_problem_for_fit(id=1,value=1)
-        result, = fitter.fit()
-
-        self.assertTrue( math.fabs(result.pvec[0]-4)/3 <= result.stderr[0] )
-        self.assertTrue( math.fabs(result.pvec[1]-2.5)/3 <= result.stderr[1])
-        self.assertTrue( result.fitness/len(data.x) < 2 )
+        result1, = fitter.fit()
+
+        self.assertTrue( math.fabs(result1.pvec[0]-4)/3 <= result1.stderr[0] )
+        self.assertTrue( math.fabs(result1.pvec[1]-2.5)/3 <= result1.stderr[1])
+        self.assertTrue( result1.fitness/len(data.x) < 2 )
 
         #fit with park test
@@ -48,5 +49,5 @@
         fitter.set_model(model,1,pars1)
         fitter.select_problem_for_fit(id=1,value=1)
-        result2 = fitter.fit()
+        result2, = fitter.fit()
         
         self.assert_(result2)
@@ -68,6 +69,8 @@
         l = Loader()
         data1=l.load("testdata_line.txt")
+        data1.name = data1.filename
       
         data2=l.load("testdata_line1.txt")
+        data2.name = data2.filename
      
         #Importing the Fit module
@@ -79,6 +82,6 @@
         model11.name= "M2"
       
-        model1 = Model(model11)
-        model2 = Model(model22)
+        model1 = Model(model11,data1)
+        model2 = Model(model22,data2)
         #fit with scipy test
         pars1= ['A','B']
@@ -93,5 +96,5 @@
         except RuntimeError,msg:
            assert str(msg)=="No Assembly scheduled for Scipy fitting."
-        else: raise AssertError,"No error raised for scipy fitting with no model"
+        else: raise AssertionError,"No error raised for scipy fitting with no model"
         fitter.select_problem_for_fit(id=1,value=1)
         fitter.select_problem_for_fit(id=2,value=1)
@@ -99,5 +102,5 @@
         except RuntimeError,msg:
            assert str(msg)=="Scipy can't fit more than a single fit problem at a time."
-        else: raise AssertError,"No error raised for scipy fitting with more than 2 models"
+        else: raise AssertionError,"No error raised for scipy fitting with more than 2 models"
         
         #fit with park test
@@ -109,10 +112,9 @@
         fitter.select_problem_for_fit(id=1,value=1)
         fitter.select_problem_for_fit(id=2,value=1)
-        result2 = fitter.fit()
-        
-        self.assert_(result2)
-        self.assertTrue( math.fabs(result2.pvec[0]-4)/3 <= result2.stderr[0] )
-        self.assertTrue( math.fabs(result2.pvec[1]-2.5)/3 <= result2.stderr[1] )
-        self.assertTrue( result2.fitness/(len(data1.x)+len(data2.x)) < 2)
+        R1,R2 = fitter.fit()
+        
+        self.assertTrue( math.fabs(R1.pvec[0]-4)/3 <= R1.stderr[0] )
+        self.assertTrue( math.fabs(R1.pvec[1]-2.5)/3 <= R1.stderr[1] )
+        self.assertTrue( R1.fitness/(len(data1.x)+len(data2.x)) < 2)
         
         
@@ -122,5 +124,7 @@
         l = Loader()
         data1= l.load("testdata_line.txt")
+        data1.name = data1.filename
         data2= l.load("testdata_cst.txt")
+        data2.name = data2.filename
        
         # Receives the type of model for the fitting
@@ -134,6 +138,6 @@
         model22.setParam("value", 1.0)
         
-        model1 = Model(model11)
-        model2 = Model(model22)
+        model1 = Model(model11,data1)
+        model2 = Model(model22,data2)
         model1.set(A=4)
         model1.set(B=3)
@@ -153,9 +157,8 @@
         fitter.select_problem_for_fit(id=2,value=1)
         
-        result2 = fitter.fit()
-        self.assert_(result2)
-        self.assertTrue( math.fabs(result2.pvec[0]-4.0)/3. <= result2.stderr[0]) 
-        self.assertTrue( math.fabs(result2.pvec[1]-2.5)/3. <= result2.stderr[1])
-        self.assertTrue( result2.fitness/(len(data1.x)+len(data2.x)) < 2)
+        R1,R2 = fitter.fit()
+        self.assertTrue( math.fabs(R1.pvec[0]-4.0)/3. <= R1.stderr[0])
+        self.assertTrue( math.fabs(R1.pvec[1]-2.5)/3. <= R1.stderr[1])
+        self.assertTrue( R1.fitness/(len(data1.x)+len(data2.x)) < 2)
         
         
@@ -165,7 +168,8 @@
         l = Loader()
         data1 = l.load("testdata_line.txt")
+        data1.name = data1.filename
         data2 = l.load("testdata_line1.txt")
-        
-       
+        data2.name = data2.filename
+
         # Receives the type of model for the fitting
         model1  = LineModel()
@@ -173,5 +177,5 @@
         model1.setParam("A", 1.0)
         model1.setParam("B",1.0)
-        model = Model(model1)
+        model = Model(model1,data1)
       
         #fit with scipy test
@@ -197,5 +201,5 @@
         fitter.set_data(data2,1,qmin=1,qmax=10)
         fitter.select_problem_for_fit(id=1,value=1)
-        result2 = fitter.fit()
+        result2, = fitter.fit()
         
         self.assert_(result2)
